Index: tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/AA_make
===================================================================
--- tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/AA_make	(revision 56)
+++ tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/AA_make	(revision 118)
@@ -96,6 +96,6 @@
 all_libs:
 	$(M_K) libioipsl
+	$(M_K) libparallel
 	$(M_K) libparameters
-	$(M_K) libparallel
 	$(M_K) liborglob
 	$(M_K) libstomate
Index: tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/FLUXNET/Job_FLUXNET_validation
===================================================================
--- tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/FLUXNET/Job_FLUXNET_validation	(revision 56)
+++ tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/FLUXNET/Job_FLUXNET_validation	(revision 118)
@@ -225,8 +225,14 @@
 
     # TimeSeries : ALMAOUTPUT for SECHIBA
-
-# WARNING : You can use this first option if you set CONSERVE=y in fluxnet.card
+    typeset option
+    for option in ${config_SubJobPost[*]} ; do
+	eval value=\${config_SubJobPost_${option}}
+	eval echo ${option} ${value}
+	if [ X${value} != X ] ; then
+	    eval IGCM_card_WriteOption ${New_SUBMIT_DIR}/config.card SubJobPost ${option} \${config_SubJobPost_${option}}
+	fi
+    done
 #    eval IGCM_card_WriteOption ${New_SUBMIT_DIR}/config.card SRF TimeSeriesFrequency ${TIME_YEAR}Y
-    eval IGCM_card_WriteOption ${New_SUBMIT_DIR}/config.card SRF TimeSeriesFrequency NONE
+#    eval IGCM_card_WriteOption ${New_SUBMIT_DIR}/config.card SRF TimeSeriesFrequency NONE
     set -A sechiba_TimeSeriesVars2D -- nobiofrac SWnet LWnet Qh Qle Qg Qf DelSurfHeat DelColdCont Snowf Rainf Evap \
                                      Qs Qsb Qsm DelSoilMoist DelSWE DelIntercept AvgSurfT RadT Albedo SWE SoilMoist SoilWet SoilTemp PotEvap \
Index: tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/FLUXNET/config.card
===================================================================
--- tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/FLUXNET/config.card	(revision 56)
+++ tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/FLUXNET/config.card	(revision 118)
@@ -40,5 +40,5 @@
 #========================================================================
 #========================================================================
-#D-- SRF options passed to SRF subjobs
+#D-- SRF options passed to SuRFace (SECHIBA) subjobs
 [SRF]
 WriteFrequency="1800s"
@@ -51,14 +51,8 @@
 # Old component name for restart (if empty, use new name)
 OldName=
-#D- If you want to produce time series, this flag determines
-#D- frequency of post-processing submission
-TimeSeriesFrequency= NONE
-#D- If you want to produce seasonal average, this flag determines
-#D- the period of this average
-SeasonalFrequency= NONE
 
 #D-- Surface BioGeochemistry ( STOMATE ) subjobs
 [SBG]
-WriteFrequency="1D"
+WriteFrequency="1M"
 Restart= n
 #-- Last day of the experience used as restart
@@ -69,4 +63,13 @@
 # Old component name for restart (if empty, use new name)
 OldName=
+
+#D-- Post-treatment options passed to SubJobs on all sites
+# WARNING : You can use thoses options only if you set CONSERVE=y in fluxnet.card
+[SubJobPost]
+#D- Do we rebuild parallel output, this flag determines
+#D- frequency of rebuild submission
+RebuildFrequency=NONE
+#D- Do we rebuild parallel output from archive (use NONE to use SCRATCHDIR as buffer)
+RebuildFromArchive=NONE
 #D- If you want to produce time series, this flag determines
 #D- frequency of post-processing submission
@@ -75,4 +78,8 @@
 #D- the period of this average
 SeasonalFrequency= NONE
+#D- Offset for seasonal average first start dates ; same unit as SeasonalFrequency
+#D- Usefull if you do not want to consider the first X simulation's years
+SeasonalFrequencyOffset=0
+
 #========================================================================
 #========================================================================
Index: tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/FLUXNET/fluxnet.ksh
===================================================================
--- tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/FLUXNET/fluxnet.ksh	(revision 56)
+++ tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/FLUXNET/fluxnet.ksh	(revision 118)
@@ -18,4 +18,23 @@
     IGCM_date_GetYearMonth ${DateBegin} year month
     
+    IGCM_card_DefineArrayFromSection ${SUBMIT_DIR}/config.card SubJobPost
+    typeset option
+    for option in ${config_SubJobPost[*]} ; do
+	IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/config.card SubJobPost ${option}
+    done
+    
+    # Subjobs configuration : 
+    # -----------------------
+
+    # 1) UserChoices section of fluxnet.card
+
+    # This section groups standard options to be passed to ORCHIDEE.
+    IGCM_card_DefineArrayFromSection ${SUBMIT_DIR}/fluxnet.card UserChoices
+    set +A fluxnet_UserChoices -- ${fluxnet_UserChoices[*]} > /dev/null 2>&1
+    typeset option
+    for option in ${fluxnet_UserChoices[*]} ; do
+	IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/fluxnet.card UserChoices ${option}
+    done
+
     IGCM_card_DefineArrayFromSection ${SUBMIT_DIR}/config.card SRF
     typeset option
@@ -31,17 +50,4 @@
     fi
     
-    # Subjobs configuration : 
-    # -----------------------
-
-    # 1) UserChoices section of fluxnet.card
-
-    # This section groups standard options to be passed to ORCHIDEE.
-    IGCM_card_DefineArrayFromSection ${SUBMIT_DIR}/fluxnet.card UserChoices
-    set +A fluxnet_UserChoices -- ${fluxnet_UserChoices[*]} > /dev/null 2>&1
-    typeset option
-    for option in ${fluxnet_UserChoices[*]} ; do
-	IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/fluxnet.card UserChoices ${option}
-    done
-
     # 2) FLUXNET section :
 
Index: tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/FLUXNET/fluxnet_LATHUILE.card
===================================================================
--- tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/FLUXNET/fluxnet_LATHUILE.card	(revision 56)
+++ tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/FLUXNET/fluxnet_LATHUILE.card	(revision 118)
@@ -32,5 +32,29 @@
 #   initial LAI (IMPOSE_VEG)
 #      1,   2,   3,   4,   5,   6,   7,   8,   9,  10,  11,  12,  13
-Sites=( RU-Zot, RU-Zot.nc,  2002,                                  3, \
+Sites= ( BW-Ma1, BW-Ma1.nc,  1999,                                  3, \
+     0.,   0, 0.4,   0,   0,   0,   0,   0,   0,   0, 0.6,   0,  0, \
+     0.,  8.,  8.,  4., 4.5, 4.5,  4., 4.5,  4.,  2.,  2.,  2.,  2.) \
+\
+       ( BR-Sa1, BR-Sa1.nc,  2002,                                  3, \
+     0,   1,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, \
+     0.,  8.,  8.,  4., 4.5, 4.5,  4., 4.5,  4.,  2.,  2.,  2.,  2.) \
+\
+        ( BR-Ma2, BR-Ma2.nc,  2002,                                 5, \
+     0,   1,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, \
+     0.,  8.,  8.,  4., 4.5, 4.5,  4., 4.5,  4.,  2.,  2.,  2.,  2.) \
+\
+       ( NL-Loo, NL-Loo.nc,  1996,                                 11, \
+     0,   0,   0, 0.8,   0,   0,   0,   0,   0, 0.2,   0,   0,   0, \
+     0.,  8.,  8.,  4., 4.5, 4.5,  4., 4.5,  4.,  2.,  2.,  2.,  2.) \
+\
+       ( DE-Hai, DE-Hai.nc,  2000,                                  7, \
+     0,   0,   0,   0,    0, 0.8,   0,   0,   0, 0.2,   0,   0,   0, \
+     0.,  8.,  8.,  4., 4.5, 4.5,  4., 4.5,  4.,  2.,  2.,  2.,  2.) \
+\
+       ( FI-Sod, FI-Sod.nc,  2000,                                  7, \
+     0,   0,   0,   0,   0,   0, 0.8,   0,   0, 0.2,   0,   0,   0, \
+     0.,  8.,  8.,  4., 4.5, 4.5,  4., 4.5,  4.,  2.,  2.,  2.,  2.) \
+\
+       ( RU-Zot, RU-Zot.nc,  2002,                                  3, \
     0,   0,   0,   0,   0,   0, 0.8,   0,   0, 0.2,   0,   0,   0, \
     0.,  8.,  8.,  4., 4.5, 4.5,  4., 4.5,  4.,  2.,  2.,  2.,  2.)
@@ -109,12 +133,13 @@
 
 # observation_file
-observation_file_path='${R_BC}/OOL/${config_UserChoices_TagName}/LATHUILE/AR5_TEST/OBS/${Site}.synth.hourly.allvars.nc'
-#'${R_BC}/OOL/${config_UserChoices_TagName}/FLUXNET/OLD/${Site}.nc'
-#'${R_BC}/OOL/${config_UserChoices_TagName}/FLUXNET/OBS/${Site}_obs_gapfilled.nc'
+observation_file_path='/home/orchidee01/vuichard/AR5/OBS/${Site}.synth.hourly.allvars.nc'
+#'${R_BC}/OOL/${config_UserChoices_TagName}/LATHUILE/AR5_TEST/OBS/${Site}.synth.hourly.allvars.nc'
 
 # old history file
-reference_file_path='/home/mancip/IGCM_OUT/VALID_OL/OK_STOMATE/${Site}_sechiba_hist.nc'
+reference_file_path='/home/orchidee01/vuichard/IGCM_OUT/OL2/LATHUILE_HIST_2m/${Site}_3_sechiba_hist.nc'
 # 3 choices : SECHIBA, OK_CO2, OK_STOMATE
 #'/dmnfs/cont003/p86manci/VALID_OL/SECHIBA/${Site}_sechiba_hist.nc'
+#'/dmnfs/cont003/p86manci/VALID_OL/OK_CO2/${Site}_sechiba_hist.nc'
+#'/dmnfs/cont003/p86manci/VALID_OL/OK_STOMATE/${Site}_sechiba_hist.nc'
 
 # Modulo for SpinUp years
Index: tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/FORCESOIL/config.card
===================================================================
--- tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/FORCESOIL/config.card	(revision 56)
+++ tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/FORCESOIL/config.card	(revision 118)
@@ -80,4 +80,7 @@
 #D- the period of this average
 SeasonalFrequency=NONE
+#D- Offset for seasonal average first start dates ; same unit as SeasonalFrequency
+#D- Usefull if you do not want to consider the first X simulation's years
+SeasonalFrequencyOffset= 0
 
 #========================================================================
Index: tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC/COMP/orchidee_ol.driver
===================================================================
--- tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC/COMP/orchidee_ol.driver	(revision 56)
+++ tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC/COMP/orchidee_ol.driver	(revision 118)
@@ -72,4 +72,5 @@
 #    IGCM_sys_Put_Out run.def ${R_OUT_OOL}/${PREFIX}_run.def
     FileToBeDeleted[${#FileToBeDeleted[@]}]=run.def
+    FileToBeDeleted[${#FileToBeDeleted[@]}]=driver.def
 
     IGCM_debug_PopStack "OOL_Update"
Index: tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC/COMP/sechiba.card
===================================================================
--- tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC/COMP/sechiba.card	(revision 56)
+++ tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC/COMP/sechiba.card	(revision 118)
@@ -3,7 +3,8 @@
 
 [UserChoices]
-LAIMAP=y
+LAIMAP=n
 IMPOSE_VEG=n
 LAND_USE=n
+VEGET_UPDATE=1Y
 ROUTING=n
 NEWHYDROL=n
@@ -15,5 +16,5 @@
             (${R_INIT}/SRF/${config_UserChoices_TagName}/soils_param.nc, .), \
             (${R_INIT}/SRF/${config_UserChoices_TagName}/irrigated.nc, .), \
-            (${R_BC}/SRF/${config_UserChoices_TagName}/PFTmap_1850to2005_AR5_LUHa.rc2/PFTmap_IPCC_${year}.nc, .)
+            (${R_BC}/SRF/${config_UserChoices_TagName}/PFTmap_1850to2005_AR5_LUHa.rc2/PFTmap_IPCC_${year}.nc, PFTmap.nc)
 # ,   \
 # 	(${R_INIT}/SRF/${config_UserChoices_TagName}/floodplains.nc, .), \
@@ -42,5 +43,5 @@
 
 [OutputText]
-List=   (sechiba.def, out_orchidee)
+List=   (used_sechiba.def, out_orchidee)
 
 [OutputFiles]
@@ -56,5 +57,5 @@
 #TimeSeriesVars2D = (nobiofrac, SWnet, LWnet, Qh, Qle, Qg, Qf, DelSurfHeat, DelColdCont, Snowf, Rainf, Evap, Qs, Qsb, Qsm, DelSoilMoist, DelSWE, DelIntercept, AvgSurfT, RadT, Albedo, SWE, SoilMoist, SoilWet, SoilTemp, PotEvap, ESoil, ECanop, TVeg, RootMoist, SubSnow, ACond, SnowFrac, SAlbedo, SnowDepth, dis, GPP)
 ChunckJob2D = NONE
-TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, CO2FLUX, ptn, nee)
+TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, ptn, nee)
 # ALMAOUTPUT
 #TimeSeriesVars3D = (ECanop, TVeg, GPP, CO2FLUX)
Index: tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC/COMP/sechiba.driver
===================================================================
--- tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC/COMP/sechiba.driver	(revision 56)
+++ tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC/COMP/sechiba.driver	(revision 118)
@@ -122,6 +122,7 @@
     SECHIBA_sed WRITE_STEP2 10800.0
 
-    SECHIBA_sed LAND_USE ${sechiba_UserChoices_LAND_USE}
     if [ X${sechiba_UserChoices_LAND_USE} = Xy ] ; then
+      SECHIBA_sed LAND_USE ${sechiba_UserChoices_LAND_USE}
+      SECHIBA_sed VEGET_UPDATE ${sechiba_UserChoices_VEGET_UPDATE}
 
       ##MM : cutting PFTmaps of ORCHIDEE : for first year without restart, we must use this year map
@@ -136,5 +137,4 @@
 	if ( [ ${CumulPeriod} -eq 1 ] && [ "${config_SRF_Restart}" = "n" ] ) ; then
 	    SECHIBA_sed VEGET_YEAR 1
-	    IGCM_sys_Mv PFTmap_IPCC_${year}.nc PFTmap.nc
 	else
 	    SECHIBA_sed VEGET_YEAR 0
@@ -151,4 +151,5 @@
 	SECHIBA_sed SECHIBA_reset_time y
     fi
+    FileToBeDeleted[${#FileToBeDeleted[@]}]=sechiba.def
 
     IGCM_debug_PopStack "SRF_Update"
Index: tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC/config.card
===================================================================
--- tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC/config.card	(revision 56)
+++ tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC/config.card	(revision 118)
@@ -45,5 +45,5 @@
 #D- For each component, Name of component, Tag of component
 SRF= (sechiba, orchidee_1_9_5_1)
-OOL= (orchidee_ol, OOL_1_9__5_1)
+OOL= (orchidee_ol, OOL_1_9_5_1)
 
 #========================================================================
@@ -82,4 +82,7 @@
 #D- the period of this average
 SeasonalFrequency=10Y
+#D- Offset for seasonal average first start dates ; same unit as SeasonalFrequency
+#D- Usefull if you do not want to consider the first X simulation's years
+SeasonalFrequencyOffset= 0
 
 #========================================================================
Index: tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC_STO/COMP/orchidee_ol.driver
===================================================================
--- tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC_STO/COMP/orchidee_ol.driver	(revision 56)
+++ tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC_STO/COMP/orchidee_ol.driver	(revision 118)
@@ -72,4 +72,5 @@
 #    IGCM_sys_Put_Out run.def ${R_OUT_OOL}/${PREFIX}_run.def
     FileToBeDeleted[${#FileToBeDeleted[@]}]=run.def
+    FileToBeDeleted[${#FileToBeDeleted[@]}]=driver.def
 
     IGCM_debug_PopStack "OOL_Update"
Index: tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC_STO/COMP/sechiba.card
===================================================================
--- tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC_STO/COMP/sechiba.card	(revision 56)
+++ tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC_STO/COMP/sechiba.card	(revision 118)
@@ -6,4 +6,5 @@
 IMPOSE_VEG=n
 LAND_USE=n
+VEGET_UPDATE=1Y
 ROUTING=n
 NEWHYDROL=n
@@ -15,5 +16,5 @@
             (${R_INIT}/SRF/${config_UserChoices_TagName}/soils_param.nc, .), \
             (${R_INIT}/SRF/${config_UserChoices_TagName}/irrigated.nc, .), \
-            (${R_BC}/SRF/${config_UserChoices_TagName}/PFTmap_1850to2005_AR5_LUHa.rc2/PFTmap_IPCC_${year}.nc, .)
+            (${R_BC}/SRF/${config_UserChoices_TagName}/PFTmap_1850to2005_AR5_LUHa.rc2/PFTmap_IPCC_${year}.nc, PFTmap.nc)
 # ,   \
 # 	(${R_INIT}/SRF/${config_UserChoices_TagName}/floodplains.nc, .), \
Index: tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC_STO/COMP/sechiba.driver
===================================================================
--- tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC_STO/COMP/sechiba.driver	(revision 56)
+++ tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC_STO/COMP/sechiba.driver	(revision 118)
@@ -122,6 +122,7 @@
     SECHIBA_sed WRITE_STEP2 10800.0
 
-    SECHIBA_sed LAND_USE ${sechiba_UserChoices_LAND_USE}
     if [ X${sechiba_UserChoices_LAND_USE} = Xy ] ; then
+      SECHIBA_sed LAND_USE ${sechiba_UserChoices_LAND_USE}
+      SECHIBA_sed VEGET_UPDATE ${sechiba_UserChoices_VEGET_UPDATE}
 
       ##MM : cutting PFTmaps of ORCHIDEE : for first year without restart, we must use this year map
@@ -136,5 +137,4 @@
 	if ( [ ${CumulPeriod} -eq 1 ] && [ "${config_SRF_Restart}" = "n" ] ) ; then
 	    SECHIBA_sed VEGET_YEAR 1
-	    IGCM_sys_Mv PFTmap_IPCC_${year}.nc PFTmap.nc
 	else
 	    SECHIBA_sed VEGET_YEAR 0
@@ -151,4 +151,5 @@
 	SECHIBA_sed SECHIBA_reset_time y
     fi
+    FileToBeDeleted[${#FileToBeDeleted[@]}]=sechiba.def
 
     IGCM_debug_PopStack "SRF_Update"
Index: tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC_STO/COMP/stomate.card
===================================================================
--- tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC_STO/COMP/stomate.card	(revision 56)
+++ tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC_STO/COMP/stomate.card	(revision 118)
@@ -27,5 +27,5 @@
 
 [OutputText]
-List=   ()
+List=   (used_stomate.def)
 
 [OutputFiles]
Index: tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC_STO/config.card
===================================================================
--- tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC_STO/config.card	(revision 56)
+++ tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/OOL_SEC_STO/config.card	(revision 118)
@@ -45,6 +45,6 @@
 #D- For each component, Name of component, Tag of component
 SRF= (sechiba, orchidee_1_9_5_1)
-SBG= (stomate, orchidee_1_9__5_1)
-OOL= (orchidee_ol, OOL_1_9__5_1)
+SBG= (stomate, orchidee_1_9_5_1)
+OOL= (orchidee_ol, OOL_1_9_5_1)
 
 #========================================================================
@@ -84,4 +84,7 @@
 #D- the period of this average
 SeasonalFrequency=10Y
+#D- Offset for seasonal average first start dates ; same unit as SeasonalFrequency
+#D- Usefull if you do not want to consider the first X simulation's years
+SeasonalFrequencyOffset= 0
 
 #========================================================================
Index: tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/SPINUP/COMP/spinup.driver
===================================================================
--- tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/SPINUP/COMP/spinup.driver	(revision 56)
+++ tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/SPINUP/COMP/spinup.driver	(revision 118)
@@ -115,5 +115,5 @@
 
     # 1) SRF section of config.card
-# This section gives first restart file path, WriteFrequency and Post-treatment behaviour.
+# This section gives first restart file path and WriteFrequency.
     IGCM_card_DefineArrayFromSection ${SUBMIT_DIR}/config.card SRF
     set +A config_SRF -- ${config_SRF[*]} > /dev/null 2>&1
@@ -146,5 +146,12 @@
     fi
 
-    # Get the forcing file name (structure with variables inside) for this Spinup
+    # 3) Post-treatment
+    IGCM_card_DefineArrayFromSection ${SUBMIT_DIR}/config.card SubJobPost
+    typeset option
+    for option in ${config_SubJobPost[*]} ; do
+	IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/config.card SubJobPost ${option}
+    done
+
+    # 4) Get the forcing file name (structure with variables inside) for this Spinup
     IGCM_card_DefineArrayFromOption ${SUBMIT_DIR}/COMP/spinup.card SubJobForcingFile List
     IGCM_card_DefineArrayFromOption ${SUBMIT_DIR}/COMP/spinup.card SubJobForcingFile ListNonDel
@@ -238,8 +245,12 @@
     IGCM_card_WriteOption ${New_SUBMIT_DIR}/config.card OOL Restart n
 
-    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/config.card SRF TimeSeriesFrequency
-    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/config.card SRF SeasonalFrequency
-    IGCM_card_WriteOption ${New_SUBMIT_DIR}/config.card Post TimeSeriesFrequency ${config_SRF_TimeSeriesFrequency}
-    IGCM_card_WriteOption ${New_SUBMIT_DIR}/config.card Post SeasonalFrequency ${config_SRF_SeasonalFrequency}
+    typeset option
+    for option in ${config_SubJobPost[*]} ; do
+	eval value=\${config_SubJobPost_${option}}
+	eval echo ${option} ${value}
+	if [ X${value} != X ] ; then
+	    eval IGCM_card_WriteOption ${New_SUBMIT_DIR}/config.card Post ${option} \${config_SubJobPost_${option}}
+	fi
+    done
 
     # For Subjob special flags
@@ -1084,15 +1095,12 @@
 # we can move Previous Job in SPINUP save DIR.
     if ( [ X${spinup_UserChoices_DEBUG_SPIN} = Xn ] && [ X${output_PreviousStage_LastStageName} != Xstart ] ) ; then
-	IGCM_sys_RshPost <<-EOF
-        \mv -f ${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_JobName}${output_PreviousStage_LastExtName} ${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_JobName}/SPIN/Output/
-EOF
 	if ( [ X${spinup_UserChoices_CONSERVE} = Xn ] \
 	  && [ X${output_PreviousStage_LastStageName} != XSECINI ] \
           && [ X${output_PreviousStage_LastStageName} != XSECSTOINI ] ) ; then
-	    IGCM_sys_RshPost <<-EOF
-        \rm -Rf ${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_JobName}${output_PreviousStage_LastExtName}/*/Analyse/*
-EOF
-#        \rm -Rf ${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_JobName}${output_PreviousStage_LastExtName}/*/Output/*
+	    IGCM_sys_RshArchive "rm -Rf ${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_JobName}${output_PreviousStage_LastExtName}/*/Analyse/*"
+	    IGCM_sys_RshArchive "rm -Rf ${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_JobName}${output_PreviousStage_LastExtName}/*/Output/*"
 	fi
+
+	IGCM_sys_RshArchive "mv -f ${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_JobName}${output_PreviousStage_LastExtName} ${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_JobName}/SPIN/Output/"
     fi
 
Index: tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/SPINUP/PARAM/driver.def
===================================================================
--- tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/SPINUP/PARAM/driver.def	(revision 118)
+++ tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/SPINUP/PARAM/driver.def	(revision 118)
@@ -0,0 +1,298 @@
+#
+#**************************************************************************
+#                    Namelist for ORCHIDEE_OL
+#**************************************************************************
+#
+#**************************************************************************
+#          OPTIONS NOT SET
+#**************************************************************************
+#
+#
+#**************************************************************************
+#          Management of display in the run of DRIVER
+#**************************************************************************
+
+# Flag for debug information
+# This option allows to switch on the output of debug
+#         information without recompiling the code.
+DEBUG_INFO = n
+#default = n
+
+
+#---------------------------------------------------------------------
+# Forcing file name
+# Name of file containing the forcing data
+# This is the name of the file which should be opened
+# for reading the forcing data of the dim0 model.
+# The format of the file has to be netCDF and COADS
+# compliant. Cabauw.nc, islscp_for.nc, WG_cru.nc
+FORCING_FILE = forcing_file.nc
+# default = islscp_for.nc
+
+# split time step :
+#---------------------------------------------------------------------
+
+# Splits the timestep imposed by the forcing
+# With this value the time step of the forcing
+#  will be devided. In principle this can be run
+#  in explicit mode but it is strongly suggested
+#  to use the implicit method so that the
+#  atmospheric forcing has a smooth evolution.
+SPLIT_DT = 12
+# default = 12
+
+#  Time in the forcing file at which the model is started.
+#  This time give the point in time at which the model
+#  should be started. 
+#  If exists, the date of the restart file is use.
+#  The FORMAT of this date can be either of the following :
+#  n   : time step n within the forcing file
+#  nS  : n seconds after the first time-step in the file
+#  nD  : n days after the first time-step
+#  nM  : n month after the first time-step (year of 365 days)
+#  nY  : n years after the first time-step (year of 365 days)
+#      Or combinations :
+#  nYmM: n years and m month
+TIME_SKIP = 0
+# default = 0
+
+# Spread the precipitation.
+# Spread the precipitaiton over n steps of the splited forcing time step. 
+#  This is ONLY applied if the forcing time step has been splited (SPLIT_DT).
+#  If the value indicated is greater than SPLIT_DT, SPLIT_DT is used for it.
+SPRED_PREC = 1
+# default = 1
+
+
+
+
+
+# Input and output restart file for the driver
+#---------------------------------------------------------------------
+
+# Name of restart to READ for initial conditions
+# This is the name of the file which will be opened
+#  to extract the initial values of all prognostic
+#  values of the model. This has to be a netCDF file.
+#  Not truly COADS compliant. NONE will mean that
+#  no restart file is to be expected.
+RESTART_FILEIN = NONE
+# default = NONE
+
+# Name of restart files to be created by the driver
+# This variable give the  name for
+#  the restart file. The restart software within
+#  IOIPSL will add .nc if needed
+RESTART_FILEOUT = driver_rest_out.nc
+# default = driver_rest_out.nc
+
+
+#**************************************************************************
+#                             Area location
+#**************************************************************************
+#  The model will use the smalest regions from
+#  region specified here and the one of the forcing file.
+
+# Western limit of region
+# Western limit of the region we are 
+#  interested in. Between -180 and +180 degrees
+LIMIT_WEST = -180.
+# default = -180.
+
+# Eastern limit of region
+# Eastern limit of the region we are
+#  interested in. Between -180 and +180 degrees
+LIMIT_EAST = 180.
+# default = 180.
+
+# Northern limit of region
+# Northern limit of the region we are
+#  interested in. Between +90 and -90 degrees
+LIMIT_NORTH = 90.
+# default = 90.
+
+# Southern limit of region
+# Southern limit of the region we are
+#  interested in. Between 90 and -90 degrees
+LIMIT_SOUTH = -90.
+# default = -90.
+
+##**************************************************************************
+#                       Simulation parameters
+#**************************************************************************
+
+# method of forcing
+# A method is proposed by which the first atmospheric
+#   level is not directly forced by observations but
+#   relaxed with a time constant towards observations.
+#   For the moment the methods tends to smooth too much
+#   the diurnal cycle and introduces a time shift.
+#   A more sophisticated method is needed.
+RELAXATION = n
+# default = n
+
+# Time constant of the relaxation layer RELAXATION
+# The time constant associated to the atmospheric
+#  conditions which are going to be computed
+#  in the relaxed layer. To avoid too much
+#  damping the value should be larger than 1000.
+RELAX_A = 1000.
+# default = 1000.0
+
+# Height at which T and Q are given
+# The atmospheric variables (temperature and specific
+#  humidity) are measured at a specific level.
+#  The height of this level is needed to compute
+#  correctly the turbulent transfer coefficients.
+#  Look at the description of the forcing
+#  DATA for the correct value.
+HEIGHT_LEV1 = 2.0
+# default  = 2.0
+
+# Height at which the wind is given
+# The height at which wind is needed to compute
+#  correctly the turbulent transfer coefficients.
+HEIGHT_LEVW = 10.0
+# default  = 10.0
+
+#---------------------------------------------------------------------
+# Weather generator or not :
+#---------------------------------------------------------------------
+
+# Allow weather generator to create data.
+# This flag allows the forcing-reader to generate
+#  synthetic data if the data in the file is too sparse
+#  and the temporal resolution would not be enough to
+#  run the model.
+ALLOW_WEATHERGEN = n
+# default = n
+
+# North-South Resolution
+# If ALLOW_WEATHERGEN
+# North-South Resolution of the region we are
+#  interested in. In degrees
+MERID_RES = 2.
+# default = 2.
+
+# East-West Resolution
+# If ALLOW_WEATHERGEN
+# East-West Resolution of the region we are
+#  interested in. In degrees
+ZONAL_RES = 2.
+# default = 2.
+
+# Use prescribed values
+# If ALLOW_WEATHERGEN
+# If this is set to 1, the weather generator
+#   uses the monthly mean values for daily means.
+#   If it is set to 0, the weather generator
+#   uses statistical relationships to derive daily
+#   values from monthly means.
+IPPREC = 0
+# default = 0
+
+# Interpolation  or not IF split is larger than 1
+# Choose IF you wish to interpolate linearly or not.
+NO_INTER = y
+INTER_LIN = n
+# default :
+#  NO_INTER = y
+#  INTER_LIN = n
+
+# Exact monthly precipitation
+# If ALLOW_WEATHERGEN
+# If this is set to y, the weather generator
+#   will generate pseudo-random precipitations
+#   whose monthly mean is exactly the prescribed one.
+#   In this case, the daily precipitation (for rainy
+#   days) is constant (that is, some days have 0 precip,
+#   the other days have precip = Precip_month/n_precip,
+#   where n_precip is the prescribed number of rainy days
+#   per month).
+WEATHGEN_PRECIP_EXACT = n
+# default = n
+
+# Calling frequency of weather generator (s)
+# Determines how often the weather generator
+#  is called (time step in s). Should be equal
+#  to or larger than Sechiba's time step (say,
+#  up to 6 times Sechiba's time step or so).
+DT_WEATHGEN = 1800.
+# default = 1800.
+
+# Conserve net radiation in the forcing
+# When the interpolation is used the net radiation
+#  provided by the forcing is not conserved anymore.
+#  This should be avoided and thus this option should
+#  be TRUE (y).
+#  This option is not used for short-wave if the
+#  time-step of the forcing is longer than an hour.
+#  It does not make sense to try and reconstruct
+#  a diurnal cycle and at the same time conserve the 
+#  incoming solar radiation.
+NETRAD_CONS = y
+# default = y
+
+# Write weather from generator into a forcing file
+# This flag makes the weather generator dump its
+#  generated weather into a forcing file which can
+#  then be used to get the same forcing on different
+#  machines. This only works correctly if there is
+#  a restart file (otherwise the forcing at the first
+#  time step is slightly wrong).
+DUMP_WEATHER = n
+# default = n
+
+# Name of the file that contains
+#  the weather from generator
+# If DUMP_WEATHER
+DUMP_WEATHER_FILE = weather_dump.nc
+# default = 'weather_dump.nc'
+
+# Dump weather data on gathered grid
+# If 'y', the weather data are gathered
+#  for all land points.
+# If DUMP_WEATHER
+DUMP_WEATHER_GATHERED = y
+# default = y
+
+
+# Read Orbital Parameters
+
+# Eccentricity Effect
+# Use prescribed values
+# IF ALLOW_WEATHERGEN
+ECCENTRICITY = 0.016724
+# default = 0.016724
+
+# Longitude of perihelie
+# Use prescribed values
+# If ALLOW_WEATHERGEN
+PERIHELIE = 102.04
+# default = 102.04
+
+# Use prescribed values
+# If ALLOW_WEATHERGEN
+OBLIQUITY = 23.446
+# default = 23.446
+
+#**************************************************************************
+# length of simulation :
+#---------------------------------------------------------------------
+# Length of the integration in time.
+# Length of integration. By default the entire length
+#        of the forcing is used. The FORMAT of this date can
+#        be either of the following :
+# n   : time step n within the forcing file
+# nS  : n seconds after the first time-step in the file
+# nD  : n days after the first time-step
+# nM  : n month after the first time-step (year of 365 days)
+# nY  : n years after the first time-step (year of 365 days)
+#        Or combinations :
+# nYmM: n years and m month
+TIME_LENGTH = default
+# default = depend on the time length and the number of time step in forcing file
+#         = itau_len = itau_fin-itau_dep
+
+
+
Index: tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/SPINUP/PARAM/sechiba.def
===================================================================
--- tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/SPINUP/PARAM/sechiba.def	(revision 118)
+++ tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/SPINUP/PARAM/sechiba.def	(revision 118)
@@ -0,0 +1,817 @@
+#
+#**************************************************************************
+#                    Namelist for SECHIBA
+#**************************************************************************
+#
+#
+#**************************************************************************
+#          OPTIONS NOT SET
+#**************************************************************************
+#
+#
+#**************************************************************************
+#          Management of display in the run of SECHIBA
+#**************************************************************************
+
+# ORCHIDEE will print more messages
+# This flag permits to print more debug messages in the run.
+LONGPRINT = n
+#default = n
+
+#---------------------------------------------------------------------
+
+# Should the output follow the ALMA convention
+# If this logical flag is set to true the model
+#  will output all its data according to the ALMA 
+#  convention. It is the recommended way to write
+#  data out of ORCHIDEE.
+ALMA_OUTPUT = n
+# default = n
+
+# To reset the time coming from SECHIBA restart file
+# This option allows the model to override the time
+#  found in the restart file of SECHIBA with the time
+#  of the first call. That is the restart time of the GCM.
+SECHIBA_reset_time = n
+# default = n
+
+#**************************************************************************
+#          Files : incoming / forcing / restart /output
+#**************************************************************************
+# Ancillary files :
+#---------------------------------------------------------------------
+
+# Name of file from which the vegetation map is to be read
+# If !IMPOSE_VEG
+# If LAND_USE 
+#   default = pft_new.nc
+#   The name of the file to be opened to read a vegetation
+#   map (in pft) is to be given here. 
+# If !LAND_USE
+#   default = ../surfmap/carteveg5km.nc
+#   The name of the file to be opened to read the vegetation
+#   map is to be given here. Usualy SECHIBA runs with a 5kmx5km
+#   map which is derived from the IGBP one. We assume that we have
+#   a classification in 87 types. This is Olson modified by Viovy.
+VEGETATION_FILE = PFTmap.nc
+
+
+# Name of file from which the bare soil albedo
+# If !IMPOSE_AZE
+# The name of the file to be opened to read the soil types from 
+#  which we derive then the bare soil albedos. This file is 1x1 
+#  deg and based on the soil colors defined by Wilson and Henderson-Seller.
+SOILALB_FILE = soils_param.nc
+# default = ../surfmap/soils_param.nc
+
+# Name of file from which soil types are read
+# If !IMPOSE_VEG
+# The name of the file to be opened to read the soil types. 
+#  The data from this file is then interpolated to the grid of
+#  of the model. The aim is to get fractions for sand loam and
+#  clay in each grid box. This information is used for soil hydrology
+#  and respiration.
+SOILTYPE_FILE = soils_param.nc
+# default = ../surfmap/soils_param.nc
+
+# Input and output restart file for SECHIBA :
+#---------------------------------------------------------------------
+
+# Name of restart to READ for initial conditions
+# This is the name of the file which will be opened
+#  to extract the initial values of all prognostic
+#  values of the model. This has to be a netCDF file.
+#  Not truly COADS compliant. NONE will mean that
+#  no restart file is to be expected.
+SECHIBA_restart_in = NONE
+# default = NONE
+
+# Name of restart files to be created by SECHIBA
+# This variable give the name for the restart files. 
+#  The restart software within IOIPSL will add .nc if needed.
+SECHIBA_rest_out = sechiba_rest_out.nc
+# default = sechiba_rest_out.nc
+
+# Produced forcing file name :
+#---------------------------------------------------------------------
+
+# ORCHIDEE will write out its forcing to a file
+# This flag allows to write to a file all the variables
+#  which are used to force the land-surface. The file 
+#  has exactly the same format than a normal off-line forcing
+#  and thus this forcing can be used for forcing ORCHIDEE.
+ORCHIDEE_WATCHOUT = n
+# default = n
+
+# Filenane for the ORCHIDEE forcing file
+# If ORCHIDEE_WATCHOUT
+# This is the name of the file in which the
+#  forcing used here will be written for later use. 
+WATCHOUT_FILE = orchidee_watchout.nc
+# default = orchidee_watchout.nc
+
+# ORCHIDEE will write out with this frequency
+# If ORCHIDEE_WATCHOUT
+# This flag indicates the frequency of the write of the variables. 
+DT_WATCHOUT = 1800
+# default = dt
+
+# Output file name :
+#---------------------------------------------------------------------
+# Name of file in which the output is going
+# This file is going to be created by the model
+#  to be written
+#  and will contain the output from the model.
+#  This file is a truly COADS compliant netCDF file.
+#  It will be generated by the hist software from
+#  the IOIPSL package.
+OUTPUT_FILE = sechiba_history.nc
+# default = cabauw_out.nc
+
+# Flag to switch on histfile 2 for SECHIBA (hi-frequency ?)
+# This Flag switch on the second SECHIBA writing for hi (or low) 
+#  frequency writing. This second output is optional and not written
+#  by default.
+SECHIBA_HISTFILE2 = FALSE
+# default  = FALSE
+
+# Name of file in which the output number 2 is going
+#   to be written
+# If SECHIBA_HISTFILE2
+# This file is going to be created by the model
+#   and will contain the output 2 from the model.
+SECHIBA_OUTPUT_FILE2 = sechiba_out_2.nc
+# default  = sechiba_out_2.nc
+
+# Write levels for outputs files (number of variables) :
+#---------------------------------------------------------------------
+
+# SECHIBA history output level (0..10)
+# Chooses the list of variables in the history file. 
+#  Values between 0: nothing is written; 10: everything is 
+#  written are available More details can be found on the web under documentation.
+#  web under documentation.
+SECHIBA_HISTLEVEL = 5
+# default = 5
+
+# SECHIBA history 2 output level (0..10)
+# If SECHIBA_HISTFILE2
+# Chooses the list of variables in the history file. 
+#   Values between 0: nothing is written; 10: everything is 
+#   written are available More details can be found on the web under documentation.
+#   web under documentation.
+# First level contains all ORCHIDEE outputs.
+SECHIBA_HISTLEVEL2 = 1
+# default = 1
+
+# Write frequency for output files (SECHIBA in seconds) :
+#---------------------------------------------------------------------
+# Frequency in seconds at which to WRITE output
+# This variables gives the frequency the output of
+#  the model should be written into the netCDF file.
+#  It does not affect the frequency at which the
+#  operations such as averaging are done.
+WRITE_STEP = 86400.0
+# default = 86400.0
+
+# Frequency in seconds at which to WRITE output
+# If SECHIBA_HISTFILE2
+# This variables gives the frequency the output 2 of
+#   the model should be written into the netCDF file.
+#   It does not affect the frequency at which the
+#   operations such as averaging are done.
+#   That is IF the coding of the calls to histdef
+#   are correct !
+WRITE_STEP2 = 1800.0
+# default = 1800.0
+
+#---------------------------------------------------------------------
+# Parametrization :
+#---------------------------------------------------------------------
+
+# Activate CO2?
+# set to TRUE if photosynthesis is to be activated
+STOMATE_OK_CO2 = n
+# default = n
+
+# Flag to force the value of atmospheric CO2 for vegetation.
+# If this flag is set to true, the ATM_CO2 parameter is used
+#  to prescribe the atmospheric CO2.
+# This Flag is only use in couple mode.
+FORCE_CO2_VEG = FALSE
+# default = FALSE
+
+# Value for atm CO2.
+# If FORCE_CO2_VEG (in not forced mode)
+# Value to prescribe the atm CO2.
+#  For pre-industrial simulations, the value is 286.2 .
+#  348. for 1990 year.
+ATM_CO2 = 350.
+# default = 350.
+
+
+#
+#**************************************************************************
+#          NEW OPTIONS FOR RESTARTS in versions up to 1.9.3
+#**************************************************************************
+#
+## sechiba
+soilcap=n
+soilflx=n
+shumdiag=n
+runoff=n
+drainage=n
+
+## diffuco
+raero=n
+qsatt=n
+cdrag=n
+
+## enerbil
+evapot_corr=n
+temp_sol_new=n
+
+## hydrolc
+dss=n
+hdry=n
+
+## thermosoil
+cgrnd=n
+dgrnd=n
+z1=n
+pcapa=n
+pcapa_en=n
+pkappa=n
+zdz1=n
+zdz2=n
+temp_sol_beg=n
+
+# parameters describing the surface (vegetation + soil) :
+#---------------------------------------------------------------------
+#
+# Should the vegetation be prescribed
+# This flag allows the user to impose a vegetation distribution
+#  and its characterisitcs. It is espacially interesting for 0D
+#  simulations. On the globe it does not make too much sense as
+#  it imposes the same vegetation everywhere
+IMPOSE_VEG = n
+# default = n
+
+# Flag to use old "interpolation" of vegetation map.
+# IF NOT IMPOSE_VEG and NOT LAND_USE
+#  If you want to recover the old (ie orchidee_1_2 branch) 
+#   "interpolation" of vegetation map.
+SLOWPROC_VEGET_OLD_INTERPOL = n
+# default = n
+
+# Vegetation distribution within the mesh (0-dim mode)
+# If IMPOSE_VEG
+# The fraction of vegetation is read from the restart file. If
+#  it is not found there we will use the values provided here.
+SECHIBA_VEG__01 = 0.2
+SECHIBA_VEG__02 = 0.0
+SECHIBA_VEG__03 = 0.0
+SECHIBA_VEG__04 = 0.0
+SECHIBA_VEG__05 = 0.0
+SECHIBA_VEG__06 = 0.0
+SECHIBA_VEG__07 = 0.0
+SECHIBA_VEG__08 = 0.0
+SECHIBA_VEG__09 = 0.0
+SECHIBA_VEG__10 = 0.8
+SECHIBA_VEG__11 = 0.0
+SECHIBA_VEG__12 = 0.0
+SECHIBA_VEG__13 = 0.0
+# default = 0.2, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.8, 0.0, 0.0, 0.0
+
+# Maximum vegetation distribution within the mesh (0-dim mode)
+# If IMPOSE_VEG
+# The fraction of vegetation is read from the restart file. If
+#  it is not found there we will use the values provided here.
+SECHIBA_VEGMAX__01 = 0.2
+SECHIBA_VEGMAX__02 = 0.0
+SECHIBA_VEGMAX__03 = 0.0
+SECHIBA_VEGMAX__04 = 0.0
+SECHIBA_VEGMAX__05 = 0.0
+SECHIBA_VEGMAX__06 = 0.0
+SECHIBA_VEGMAX__07 = 0.0
+SECHIBA_VEGMAX__08 = 0.0
+SECHIBA_VEGMAX__09 = 0.0
+SECHIBA_VEGMAX__10 = 0.8
+SECHIBA_VEGMAX__11 = 0.0
+SECHIBA_VEGMAX__12 = 0.0
+SECHIBA_VEGMAX__13 = 0.0
+# default = 0.2, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.8, 0.0, 0.0, 0.0
+
+# LAI for all vegetation types (0-dim mode)
+# If IMPOSE_VEG
+# The maximum LAI used in the 0dim mode. The values should be found
+#  in the restart file. The new values of LAI will be computed anyway
+#  at the end of the current day. The need for this variable is caused
+#  by the fact that the model may stop during a day and thus we have not
+#  yet been through the routines which compute the new surface conditions.
+SECHIBA_LAI__01 = 0.
+SECHIBA_LAI__02 = 8.
+SECHIBA_LAI__03 = 8.
+SECHIBA_LAI__04 = 4.
+SECHIBA_LAI__05 = 4.5
+SECHIBA_LAI__06 = 4.5
+SECHIBA_LAI__07 = 4.
+SECHIBA_LAI__08 = 4.5
+SECHIBA_LAI__09 = 4.
+SECHIBA_LAI__10 = 2.
+SECHIBA_LAI__11 = 2.
+SECHIBA_LAI__12 = 2.
+SECHIBA_LAI__13 = 2.
+# default = 0., 8., 8., 4., 4.5, 4.5, 4., 4.5, 4., 2., 2., 2., 2.
+
+# Height for all vegetation types (m)
+# If IMPOSE_VEG
+# The height used in the 0dim mode. The values should be found
+#  in the restart file. The new values of height will be computed anyway
+#  at the end of the current day. The need for this variable is caused
+#  by the fact that the model may stop during a day and thus we have not
+#  yet been through the routines which compute the new surface conditions.
+SLOWPROC_HEIGHT__01 = 0.
+SLOWPROC_HEIGHT__02 = 50.
+SLOWPROC_HEIGHT__03 = 50.
+SLOWPROC_HEIGHT__04 = 30.
+SLOWPROC_HEIGHT__05 = 30.
+SLOWPROC_HEIGHT__06 = 30.
+SLOWPROC_HEIGHT__07 = 20.
+SLOWPROC_HEIGHT__08 = 20.
+SLOWPROC_HEIGHT__09 = 20.
+SLOWPROC_HEIGHT__10 = .2
+SLOWPROC_HEIGHT__11 = .2
+SLOWPROC_HEIGHT__12 = .4
+SLOWPROC_HEIGHT__13 = .4
+# default = 0., 30., 30., 20., 20., 20., 15., 15., 15., .5, .6, 1.0, 1.0
+
+
+# Fraction of the 3 soil types (0-dim mode)
+# If IMPOSE_VEG
+# Determines the fraction for the 3 soil types
+#  in the mesh in the following order : sand loam and clay.
+SOIL_FRACTIONS__01 = 0.28
+SOIL_FRACTIONS__02 = 0.52
+SOIL_FRACTIONS__03 = 0.20
+# default = 0.28, 0.52, 0.20
+
+# Temperature used for the initial guess of LAI
+# If there is no LAI in the restart file, we may need
+#  a temperature that is used to guess the initial LAI.
+SLOWPROC_LAI_TEMPDIAG = 280.
+# default = 280.
+
+# Soil level (m) used for canopy development 
+# If STOMATE is not activated.
+# The temperature at this soil depth is used to determine the LAI when
+#   STOMATE is not activated.
+SECHIBA_ZCANOP = 0.5
+# default = 0.5
+
+# Fraction of other surface types within the mesh (0-dim mode)
+# If IMPOSE_VEG
+# The fraction of ice, lakes, etc. is read from the restart file. If
+#  it is not found there we will use the values provided here.
+#  For the moment, there is only ice.
+SECHIBA_FRAC_NOBIO = 0.0
+# default = 0.0
+
+# Fraction of the clay fraction (0-dim mode)
+# If IMPOSE_VEG
+# Determines the fraction of clay in the grid box.
+CLAY_FRACTION = 0.2
+# default = 0.2
+
+# Should the surface parameters be prescribed
+# This flag allows the user to impose the surface parameters
+#  (Albedo Roughness and Emissivity). It is espacially interesting for 0D
+#  simulations. On the globe it does not make too much sense as
+#  it imposes the same vegetation everywhere
+IMPOSE_AZE = n
+# default = n
+
+# Emissivity of the surface for LW radiation
+# If IMPOSE_AZE
+# The surface emissivity used for compution the LE emission
+#  of the surface in a 0-dim version. Values range between 
+#  0.97 and 1.. The GCM uses 0.98.
+CONDVEG_EMIS = 1.0
+# default = 1.0
+
+# SW visible albedo for the surface
+# If IMPOSE_AZE
+# Surface albedo in visible wavelengths to be used 
+#  on the point if a 0-dim version of SECHIBA is used. 
+#  Look at the description of the forcing data for 
+#  the correct value.
+CONDVEG_ALBVIS = 0.25
+# default = 0.25
+
+# SW near infrared albedo for the surface
+# If IMPOSE_AZE
+# Surface albedo in near infrared wavelengths to be used 
+#  on the point if a 0-dim version of SECHIBA is used. 
+#  Look at the description of the forcing data for 
+#  the correct value.
+CONDVEG_ALBNIR = 0.25
+# default = 0.25
+
+# Average method for z0
+# If this flag is set to true (y) then the neutral Cdrag
+#  is averaged instead of the log(z0). This should be
+#  the prefered option. We still wish to keep the other
+#  option so we can come back if needed. If this is
+#  desired then one should set Z0CDRAG_AVE = n
+Z0CDRAG_AVE = y
+# default = y
+
+# Surface roughness (m)
+# If IMPOSE_AZE
+# Surface rougness to be used on the point if a 0-dim version
+#  of SECHIBA is used. Look at the description of the forcing  
+#  data for the correct value.
+CONDVEG_Z0 = 0.15
+# default = 0.15_stnd
+
+# Height to be added to the height of the first level (m)
+# If IMPOSE_AZE
+# ORCHIDEE assumes that the atmospheric level height is counted
+#  from the zero wind level. Thus to take into account the roughness
+#  of tall vegetation we need to correct this by a certain fraction
+#  of the vegetation height. This is called the roughness height in
+#  ORCHIDEE talk.
+ROUGHHEIGHT = 0.0
+# default = 0.0
+
+# The snow albedo used by SECHIBA
+# This option allows the user to impose a snow albedo.
+#  Default behaviour is to use the model of snow albedo
+#  developed by Chalita (1993).
+CONDVEG_SNOWA = default
+# default = use the model of snow albedo developed by Chalita
+
+# Switch bare soil albedo dependent (if TRUE) on soil wetness
+# If TRUE, the model for bare soil albedo is the old formulation.
+#  Then it depend on the soil dry or wetness. If FALSE, it is the 
+#  new computation that is taken, it is only function of soil color.
+ALB_BARE_MODEL = FALSE
+# default = FALSE
+
+# Initial snow mass if not found in restart
+# The initial value of snow mass if its value is not found
+#   in the restart file. This should only be used if the model is 
+#   started without a restart file.
+HYDROL_SNOW = 0.0
+# default = 0.0
+
+
+# Initial snow age if not found in restart
+# The initial value of snow age if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+HYDROL_SNOWAGE = 0.0
+# default = 0.0
+
+# Initial snow amount on ice, lakes, etc. if not found in restart
+# The initial value of snow if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+HYDROL_SNOW_NOBIO = 0.0
+# default = 0.0
+
+# Initial snow age on ice, lakes, etc. if not found in restart
+# The initial value of snow age if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+HYDROL_SNOW_NOBIO_AGE = 0.0
+# default = 0.0
+
+# Initial dry soil height if not found in restart for ORCHIDEE_1.3 to 1.5 Tags only.
+# The initial value of dry soil height if its value is not found
+# in the restart file. This should only be used if the model is 
+# started without a restart file.
+HYDROL_HDRY = 0.0
+# default = 0.0
+
+# Initial soil moisture stress if not found in restart
+# The initial value of soil moisture stress if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+HYDROL_HUMR = 1.0
+# default = 1.0
+
+# Total depth of soil reservoir
+HYDROL_SOIL_DEPTH = 2.
+# default = 2.
+
+# Root profile
+# Default values were defined for 2 meters soil depth.
+# For 4 meters soil depth, you may use those ones :
+# 5., .4, .4, 1., .8, .8, 1., 1., .8, 4., 1., 4., 1.
+HYDROL_HUMCSTE = 5., .8, .8, 1., .8, .8, 1., 1., .8, 4., 4., 4., 4.
+# default =  5., .8, .8, 1., .8, .8, 1., 1., .8, 4., 4., 4., 4.
+
+# Initial restart deep soil moisture if not found in restart
+# The initial value of deep soil moisture if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file. Default behaviour is a saturated soil.
+HYDROL_BQSB = default
+# default = Maximum quantity of water (Kg/M3) * Total depth of soil reservoir = 150. * 2
+
+# Initial upper soil moisture if not found in restart
+# The initial value of upper soil moisture if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+HYDROL_GQSB = 0.0
+# default = 0.0
+
+# Initial upper reservoir depth if not found in restart
+# The initial value of upper reservoir depth if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+HYDROL_DSG = 0.0
+# default = 0.0
+
+# Initial dry soil above upper reservoir if not found in restart
+# The initial value of dry soil above upper reservoir if its value 
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file. The default behaviour
+#  is to compute it from the variables above. Should be OK most of 
+#  the time.
+HYDROL_DSP = default
+# default = Total depth of soil reservoir - HYDROL_BQSB / Maximum quantity of water (Kg/M3) = 0.0
+
+# Initial water on canopy if not found in restart
+# The initial value of moisture on canopy if its value 
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+HYDROL_QSV = 0.0
+# default = 0.0
+
+# Soil moisture on each soil tile and levels
+# The initial value of mc if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+HYDROL_MOISTURE_CONTENT = 0.3
+# default = 0.3
+
+# US_NVM_NSTM_NSLM
+# The initial value of us (relative moisture) if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+US_INIT = 0.0
+# default = 0.0
+
+# Coefficient for free drainage at bottom
+# The initial value of free drainage if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+FREE_DRAIN_COEF = 1.0, 1.0, 1.0
+# default = 1.0, 1.0, 1.0
+
+# Bare soil evap on each soil if not found in restart
+# The initial value of bare soils evap if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+EVAPNU_SOIL = 0.0
+# default = 0.0
+
+# Initial temperature if not found in restart
+# The initial value of surface temperature if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+ENERBIL_TSURF = 280.
+# default = 280.
+
+# Initial Soil Potential Evaporation
+# The initial value of soil potential evaporation if its value 
+#  is not found in the restart file. This should only be used if
+#  the model is started without a restart file. 
+ENERBIL_EVAPOT = 0.0
+# default = 0.0
+
+# Initial soil temperature profile if not found in restart
+# The initial value of the temperature profile in the soil if 
+#   its value is not found in the restart file. This should only 
+#   be used if the model is started without a restart file. Here
+#   we only require one value as we will assume a constant 
+#   throughout the column.
+THERMOSOIL_TPRO = 280.
+# default = 280.
+
+# Initial leaf CO2 level if not found in restart
+# The initial value of leaf_ci if its value is not found
+#  in the restart file. This should only be used if the model is
+#  started without a restart file.
+DIFFUCO_LEAFCI = 233.
+# default = 233.
+
+
+# Keep cdrag coefficient from gcm.
+# Set to .TRUE. if you want q_cdrag coming from GCM.
+#  Keep cdrag coefficient from gcm for latent and sensible heat fluxes.
+#  TRUE if q_cdrag on initialization is non zero (FALSE for off-line runs).
+CDRAG_FROM_GCM = n
+# default =  IF q_cdrag == 0 ldq_cdrag_from_gcm = .FALSE. ELSE .TRUE.
+
+
+# Artificial parameter to increase or decrease canopy resistance
+# Add from Nathalie - the 28 of March 2006 - advice from Fred Hourdin
+# By PFT.
+RVEG_PFT = 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.
+# default = 1.
+
+
+# Interception reservoir coefficient.
+# Transforms leaf area index into size of interception reservoir
+#  for slowproc_derivvar or stomate.
+SECHIBA_QSINT = 0.1
+# default = 0.1
+
+#**************************************************************************
+# LAI
+#**************************************************************************
+
+# Read the LAI map
+# It is possible to read a 12 month LAI map which will
+#  then be interpolated to daily values as needed.
+#  If n => type_of_lai (constant_veg.f90)
+#     - mean    : lai(ji,jv) = undemi * (llaimax(jv) + llaimin(jv))
+#     - inter   : llaimin(jv) + tempfunc(stempdiag(ji,lcanop)) * (llaimax(jv) - llaimin(jv))
+LAI_MAP = n
+# default = n
+
+# Name of file from which the vegetation map is to be read
+# If LAI_MAP
+# The name of the file to be opened to read the LAI
+#  map is to be given here. Usualy SECHIBA runs with a 5kmx5km
+#  map which is derived from a Nicolas VIOVY one. 
+LAI_FILE = lai2D.nc
+# default = ../surfmap/lai2D.nc
+
+# Flag to use old "interpolation" of LAI
+# If LAI_MAP
+# If you want to recover the old (ie orchidee_1_2 branch) 
+# "interpolation" of LAI map.
+SLOWPROC_LAI_OLD_INTERPOL = n
+# default = n
+
+#**************************************************************************
+# LAND_USE
+#**************************************************************************
+
+# Read a land_use vegetation map
+# pft values are needed, max time axis is 293
+LAND_USE = y
+# default = n
+
+# Year of the land_use vegetation map readed
+# year off the pft map.
+# default is 133 for year 1982  (as 1982 - 1850 + 1 = 133)
+# If LAND_USE
+VEGET_YEAR = 1
+# default = 133
+
+# booleen to indicate that a new LAND USE file will be used (since 1.9.5 version).
+# The parameter is used to bypass veget_year count 
+# and reinitialize it with VEGET_YEAR parameter.
+# Then it is possible to change LAND USE file.
+# If LAND_USE
+VEGET_REINIT = y
+# default = n
+
+# Update vegetation frequency (since 2.0 version)
+# The veget datas will be update each this time step.
+# If LAND_USE
+VEGET_UPDATE = 0Y
+# default = 1Y
+
+# treat land use modifications
+# With this variable, you can use a Land Use map
+# to simulate anthropic modifications such as   
+# deforestation.                                
+# If LAND_USE
+LAND_COVER_CHANGE = n
+# default = y
+
+#**************************************************************************
+
+# agriculture allowed?
+# With this variable, you can determine
+#  whether agriculture is allowed
+AGRICULTURE = y
+# default = y
+
+#**************************************************************************
+
+# Time within the day simulated
+# This is the time spent simulating the current day. This variable is
+#  prognostic as it will trigger all the computations which are
+#  only done once a day.
+SECHIBA_DAY = 0.0
+# default = 0.0
+
+# Time step of STOMATE and other slow processes
+# Time step (s) of regular update of vegetation
+#  cover, LAI etc. This is also the time step
+#  of STOMATE.
+DT_SLOW = 86400.
+# default = un_jour = 86400.
+
+#**************************************************************************
+
+# Allows to switch on the multilayer hydrology of CWRR
+# This flag allows the user to decide if the vertical
+#  hydrology should be treated using the multi-layer 
+#  diffusion scheme adapted from CWRR by Patricia de Rosnay.
+#  by default the Choisnel hydrology is used.
+HYDROL_CWRR = n
+# default = n
+
+# do horizontal diffusion?
+# If TRUE, then water can diffuse horizontally between
+#  the PFTs' water reservoirs.
+HYDROL_OK_HDIFF = n
+# default = n
+ 
+
+# time scale (s) for horizontal diffusion of water
+# If HYDROL_OK_HDIFF
+# Defines how fast diffusion occurs horizontally between
+#  the individual PFTs' water reservoirs. If infinite, no
+#  diffusion.
+HYDROL_TAU_HDIFF = 86400.
+# default = 86400.
+
+# Percent of precip that is not intercepted by the canopy (only for TAG 1.6).
+# During one rainfall event, PERCENT_THROUGHFALL% of the incident rainfall
+#  will get directly to the ground without being intercepted.
+PERCENT_THROUGHFALL = 30.
+# default = 30.
+
+# Percent by PFT of precip that is not intercepted by the canopy (since TAG 1.8).
+# During one rainfall event, PERCENT_THROUGHFALL_PFT% of the incident rainfall
+#  will get directly to the ground without being intercepted, for each PFT..
+PERCENT_THROUGHFALL_PFT = 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30.
+# default = 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30.
+
+# Decides if we route the water or not
+# This flag allows the user to decide if the runoff
+#  and drainage should be routed to the ocean
+#  and to downstream grid boxes.
+RIVER_ROUTING = n
+# default = n
+
+# Name of file which contains the routing information
+# The file provided here should allow the routing module to
+#  read the high resolution grid of basins and the flow direction 
+#  from one mesh to the other.
+ROUTING_FILE = routing.nc
+# default = routing.nc
+
+# Time step of the routing scheme
+# If RIVER_ROUTING
+# This values gives the time step in seconds of the routing scheme. 
+#   It should be multiple of the main time step of ORCHIDEE. One day
+#   is a good value.
+ROUTING_TIMESTEP = 86400
+# default = 86400
+
+# Number of rivers 
+# If RIVER_ROUTING
+# This parameter chooses the number of largest river basins
+#  which should be treated as independently as rivers and not
+#  flow into the oceans as diffusion coastal flow.
+ROUTING_RIVERS = 50
+# default = 50
+
+# Should we compute an irrigation flux 
+# This parameters allows the user to ask the model
+#  to compute an irigation flux. This performed for the
+#  on very simple hypothesis. The idea is to have a good
+#  map of irrigated areas and a simple function which estimates
+#  the need to irrigate.
+DO_IRRIGATION = n
+# default = n
+
+# Name of file which contains the map of irrigated areas
+# If IRRIGATE
+# The name of the file to be opened to read the field
+#  with the area in m^2 of the area irrigated within each
+#  0.5 0.5 deg grid box. The map currently used is the one
+#  developed by the Center for Environmental Systems Research 
+#  in Kassel (1995).
+IRRIGATION_FILE = irrigated.nc
+# default = irrigated.nc
+
+# Should we include floodplains 
+# This parameters allows the user to ask the model
+#  to take into account the flood plains and return 
+#  the water into the soil moisture. It then can go 
+#  back to the atmopshere. This tried to simulate 
+#  internal deltas of rivers.
+DO_FLOODPLAINS = n
+# default = n
+
+#**************************************************************************
Index: tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/SPINUP/PARAM/stomate.def
===================================================================
--- tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/SPINUP/PARAM/stomate.def	(revision 118)
+++ tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/SPINUP/PARAM/stomate.def	(revision 118)
@@ -0,0 +1,206 @@
+#
+#**************************************************************************
+#                    Namelist for STOMATE
+#**************************************************************************
+#
+#**************************************************************************
+#          OPTIONS NOT SET
+#**************************************************************************
+#
+#
+#**************************************************************************
+#          Management of display in the run of STOMATE
+#**************************************************************************
+
+# Model chatting level
+# level of online diagnostics in STOMATE (0-4)
+# With this variable, you can determine how much online information STOMATE
+#  gives during the run. 0 means virtually no info.
+BAVARD = 1
+# default = 1
+
+#**************************************************************************
+#          Files : incoming / forcing / restart /output
+#**************************************************************************
+# Ancillary files :
+#---------------------------------------------------------------------
+
+
+# Name of file from which the reference
+# The name of the file to be opened to read
+#  temperature is read
+#  the reference surface temperature.
+#  The data from this file is then interpolated
+#  to the grid of the model.
+#  The aim is to get a reference temperature either
+#  to initialize the corresponding prognostic model
+#  variable correctly (ok_dgvm = TRUE) or to impose it
+#  as boundary condition (ok_dgvm = FALSE)
+REFTEMP_FILE = reftemp.nc
+# default = reftemp.nc
+# Input and output restart file for STOMATE :
+#---------------------------------------------------------------------
+
+# Name of restart to READ for initial conditions of STOMATE
+# If STOMATE_OK_STOMATE || STOMATE_WATCHOUT
+# This is the name of the file which will be opened of STOMATE
+#   to extract the initial values of all prognostic values of STOMATE.
+STOMATE_RESTART_FILEIN = NONE
+# default = NONE
+
+# Name of restart files to be created by STOMATE
+# If STOMATE_OK_STOMATE || STOMATE_WATCHOUT
+# This is the name of the file which will be opened
+#        to write the final values of all prognostic values
+#        of STOMATE.
+STOMATE_RESTART_FILEOUT = stomate_rest_out.nc
+# default = stomate_restart.nc
+
+# Forcing files for TESTSTOMATE and FORCESOIL
+#---------------------------------------------------------------------
+
+# Name of STOMATE's forcing file
+# Name that will be given to STOMATE's offline forcing file
+STOMATE_FORCING_NAME = stomate_forcing.nc
+#default = NONE
+
+# Size of STOMATE forcing data in memory (MB)
+# This variable determines how many
+#  forcing states will be kept in memory.
+#  Must be a compromise between memory
+#  use and frequeny of disk access.
+STOMATE_FORCING_MEMSIZE = 50
+# default = 50
+
+# Name of STOMATE's carbon forcing file
+# Name that will be given to STOMATE's carbon offline forcing file
+STOMATE_CFORCING_NAME = stomate_Cforcing.nc
+# default = NONE
+
+
+# Produced forcing file name :
+#---------------------------------------------------------------------
+# STOMATE does minimum service
+# set to TRUE if you want STOMATE to read
+#  and write its start files and keep track
+#  of longer-term biometeorological variables.
+#  This is useful if OK_STOMATE is not set,
+#  but if you intend to activate STOMATE later.
+#  In that case, this run can serve as a 
+#  spinup for longer-term biometeorological
+#  variables.
+STOMATE_WATCHOUT = n
+# default = n
+
+
+# Output file name :
+#---------------------------------------------------------------------
+
+# Name of file in which STOMATE's output is going to be written
+# This file is going to be created by the model
+#  and will contain the output from the model.
+#  This file is a truly COADS compliant netCDF file.
+#  It will be generated by the hist software from
+#  the IOIPSL package.
+STOMATE_OUTPUT_FILE = stomate_history.nc
+# default = stomate_history.nc
+
+# Write levels for outputs files (number of variables) :
+#---------------------------------------------------------------------
+
+# STOMATE history output level (0..10)
+#  0: nothing is written; 10: everything is written
+STOMATE_HISTLEVEL = 10
+# default = 10
+
+# STOMATE_IPCC_OUTPUT_FILE
+# This file is going to be created by the model
+#    and will contain the output from the model.
+#    This file is a truly COADS compliant netCDF file.
+#    It will be generated by the hist software from
+#    the IOIPSL package.
+# Name of file in which STOMATE's output is going
+# to be written
+STOMATE_IPCC_OUTPUT_FILE = stomate_ipcc_history.nc
+# default = stomate_ipcc_history.nc
+
+# STOMATE_IPCC_HIST_DT
+# Time step of the STOMATE IPCC history file
+# STOMATE IPCC history time step (d)
+STOMATE_IPCC_HIST_DT = 0.
+# default = 0.
+
+# Write frequency for output files (STOMATE in days) :
+#---------------------------------------------------------------------
+
+# STOMATE history time step (d)
+# Time step of the STOMATE history file
+# Care : this variable must be higher than DT_SLOW
+STOMATE_HIST_DT = 10.
+# default = 10.
+
+
+#---------------------------------------------------------------------
+# FORCESOIL CARBON spin up parametrization
+#---------------------------------------------------------------------
+
+# Number of time steps per year for carbon spinup.
+FORCESOIL_STEP_PER_YEAR = 12
+# default = 12
+
+# Number of years saved for carbon spinup.
+FORCESOIL_NB_YEAR = 1
+# default = 1
+
+#---------------------------------------------------------------------
+# Parametrization :
+#---------------------------------------------------------------------
+
+# Activate STOMATE?
+# set to TRUE if STOMATE is to be activated
+STOMATE_OK_STOMATE = n
+# default = n
+
+# Activate DGVM?
+# set to TRUE if Dynamic Vegetation DGVM is to be activated
+STOMATE_OK_DGVM = n
+# default = n
+
+# Index of grid point for online diagnostics
+# This is the index of the grid point which will be used for online diagnostics.
+STOMATE_DIAGPT = 1
+# default = 1
+
+# constant tree mortality
+# If yes, then a constant mortality is applied to trees. 
+#  Otherwise, mortality is a function of the trees' 
+#  vigour (as in LPJ).
+LPJ_GAP_CONST_MORT = y
+# default = y
+
+# no fire allowed
+# With this variable, you can allow or not
+#  the estimation of CO2 lost by fire
+FIRE_DISABLE = n
+# default = n
+
+#**************************************************************************
+
+# Harvert model for agricol PFTs.
+# Compute harvest above ground biomass for agriculture.
+# Change daily turnover.
+HARVEST_AGRI = y
+# default = y
+
+# herbivores allowed?
+# With this variable, you can activate herbivores 
+HERBIVORES = n
+# default = n
+
+# treat expansion of PFTs across a grid cell?
+# With this variable, you can determine
+#  whether we treat expansion of PFTs across a
+#  grid cell.
+TREAT_EXPANSION = n
+# default = n
+
Index: tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/SPINUP/config.card
===================================================================
--- tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/SPINUP/config.card	(revision 56)
+++ tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/SPINUP/config.card	(revision 118)
@@ -51,10 +51,4 @@
 # Old component name for restart (if empty, use new name)
 OldName=
-#D- If you want to produce time series, this flag determines
-#D- frequency of post-processing submission
-TimeSeriesFrequency= NONE
-#D- If you want to produce seasonal average, this flag determines
-#D- the period of this average
-SeasonalFrequency= NONE
 
 #D-- Surface BioGeochemistry ( STOMATE ) subjobs
@@ -69,4 +63,22 @@
 # Old component name for restart (if empty, use new name)
 OldName=
+
+#D-- Post-treatment options passed to SubJobs
+[SubJobPost]
+#D- Do we rebuild parallel output, this flag determines
+#D- frequency of rebuild submission
+RebuildFrequency=NONE
+#D- Do we rebuild parallel output from archive (use NONE to use SCRATCHDIR as buffer)
+RebuildFromArchive=NONE
+#D- If you want to produce time series, this flag determines
+#D- frequency of post-processing submission
+TimeSeriesFrequency= NONE
+#D- If you want to produce seasonal average, this flag determines
+#D- the period of this average
+SeasonalFrequency= NONE
+#D- Offset for seasonal average first start dates ; same unit as SeasonalFrequency
+#D- Usefull if you do not want to consider the first X simulation's years
+SeasonalFrequencyOffset=0
+
 #========================================================================
 #========================================================================
@@ -93,7 +105,6 @@
 #D- frequency of rebuild submission
 RebuildFrequency=NONE
-#D- If you want to monitor variables, this flag determines
-#D- frequency of post-processing submission
-MonitoringFrequency=NONE
+#D- Do we rebuild parallel output from archive (use NONE to use SCRATCHDIR as buffer)
+RebuildFromArchive=NONE
 #D- If you want to produce time series, this flag determines
 #D- frequency of post-processing submission
@@ -102,6 +113,7 @@
 #D- the period of this average
 SeasonalFrequency= NONE
-#
-RebuildFromArchive=NONE
+#D- Offset for seasonal average first start dates ; same unit as SeasonalFrequency
+#D- Usefull if you do not want to consider the first X simulation's years
+SeasonalFrequencyOffset=0
 
 #========================================================================
Index: tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/TESTSTOMATE/config.card
===================================================================
--- tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/TESTSTOMATE/config.card	(revision 56)
+++ tags/ORCHIDEE_1_9_5_1/ORCHIDEE_OL/TESTSTOMATE/config.card	(revision 118)
@@ -82,4 +82,7 @@
 #D- the period of this average
 SeasonalFrequency=NONE
+#D- Offset for seasonal average first start dates ; same unit as SeasonalFrequency
+#D- Usefull if you do not want to consider the first X simulation's years
+SeasonalFrequencyOffset= 0
 
 #========================================================================
